> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/kb/player-app/installing-upgrading-downgrading-the-xibo-player-on-a-samsung-tizen-soc-via-usb.md).

# Installing / Upgrading / Downgrading the Xibo Player on a Samsung Tizen SoC via USB

If you cannot install via our recommended method via the CMS, the Xibo Player can be installed and upgraded locally using a USB device. The same process applies for upgrades/downgrades.

Download the latest [Xibo for Tizen](https://xibosignage.com/downloads) Player

### Prepare your USB

* Create a folder at the root directory of your USB device and name it `SSSP`.
* Save the downloaded Xibo for Tizen player inside the `SSSP` folder and rename it `sssp_dl.wgt`.
* Create a configuration file for the player using a text editor, for example Notepad. Copy the below text into that file:

```
<?xml version="1.0" encoding="UTF-8"?>
<widget>
	<ver></ver>
	<size>9999999</size>
	<widgetname>sssp_dl</widgetname>
	<webtype>tizen</webtype>
</widget>
```

* Enter the version of the player to install between the `<ver>` and `</ver>` brackets to complete the configuration file. For example, if you have downloaded the version 4 R411, you will need to enter `4.411` between those brackets.
* Once the configuration file is complete, save it as a `sssp_config.xml` and copy it to the `SSSP` folder.

### **Install the player**

* Now that you have set up the USB, press the cog button on your remote control and go to Custom App
* Choose **Install from USB Device** to start the installation

{% hint style="info" %}
You will be prompted to enter the 4 digit pin code for your Samsung device. If you have not set a pin, you will be prompted to enter the default pin set for your device. Please refer to the manual for your device for more information.
{% endhint %}

{% hint style="info" %}
If you are upgrading/downgrading, you will receive a confirmation message when the Xibo Player has been successfully upgraded.
{% endhint %}

To continue with the install process, press the cog button on the remote control and select the Xibo Player from the menu to open the **Connect to your CMS** page.

You can now Connect to the CMS following the [Samsung Tizen Quick Start Installation Guide](https://download.xibosignage.com/misc/Tizen%20Player%20Installation.pdf)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/kb/player-app/installing-upgrading-downgrading-the-xibo-player-on-a-samsung-tizen-soc-via-usb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
